Subject: Re: [PATCH] ARM: dts: at91: Avoid colliding 'display' node and property names

From: Alexandre Belloni <[email-masked]>
Date: Tue, 16 Jul 2019 12:15:24 +0200

On 15/07/2019 15:45:24-0600, Rob Herring wrote:
> On Mon, May 20, 2019 at 8:58 AM Alexandre Belloni
> <[email-masked]> wrote:
> >
> > On 16/05/2019 17:56:14-0500, Rob Herring wrote:
> > > While properties and child nodes with the same name are valid DT, the
> > > practice is not encouraged.
> >
> > I don't see anything mentioning that in the devicetree specification. I
> > think this is something you should add if you don't want that to happen
> > again.
> 
> I suppose, but I prefer tools to enforce it.
> 
> >
> > > Furthermore, the collision is problematic for
> > > YAML encoded DT. Let's just avoid the issue and rename the nodes.
> > >
> >
> > Or maybe you should fix the tool ;)
> 
> You mean the YAML and JSON specifications because the problem is it is
> not valid YAML? (I think YAML allowed it at one time, but it is
> deprecated) The only way to fix it in the tool would be to define some
> way to handle the collision like renaming properties and then undoing
> that.
> 
> > Do you plan to enforce it at some point? How close are you?
> 
> Soon as this patch is merged. There's a switch in parsing tools to
> disallow the collision, so it will be an error instead of a warning.
> 
> > > Cc: Nicolas Ferre <[email-masked]>
> > > Cc: Alexandre Belloni <[email-masked]>
> > > Cc: Ludovic Desroches <[email-masked]>
> > > Cc: [email-masked]
> > > Signed-off-by: Rob Herring <[email-masked]>
> >
> > Acked-by: Alexandre Belloni <[email-masked]>
> 
> Is someone going to apply this?
> 

I'll apply it for the next cycle, sorry about that.

-- 
Alexandre Belloni, Bootlin
Embedded Linux and Kernel engineering
https://bootlin.com

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel